be.ehealth.technicalconnector.handler

## Class AbstractMimeHeaderManipulator

- java.lang.Object
- - be.ehealth.technicalconnector.handler.AbstractSOAPHandler
  - - be.ehealth.technicalconnector.handler.AbstractMimeHeaderManipulator

- All Implemented Interfaces:
    Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>
  Direct Known Subclasses:
    FromHandler, UserAgentHandler

      public abstract class AbstractMimeHeaderManipulator
      extends AbstractSOAPHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMimeHeaderManipulator()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getHeaderName()`
    `abstract Optional<String>` | `getHeaderValue()`
    `boolean` | `handleFault(SOAPMessageContext context)`
    `boolean` | `handleOutbound(SOAPMessageContext context)` Method that is called in the outbound flow.

    - ### Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler

      `close, dumpMessage, getHeaders, handleInbound, handleMessage`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractMimeHeaderManipulator

          public AbstractMimeHeaderManipulator()

  - ### Method Detail

    - #### handleFault

          public boolean handleFault(SOAPMessageContext context)

      Specified by:
        `handleFault` in interface `Handler<SOAPMessageContext>`
      Overrides:
        `handleFault` in class `AbstractSOAPHandler`

    - #### handleOutbound

          public boolean handleOutbound(SOAPMessageContext context)

      Description copied from class: `AbstractSOAPHandler`
      Method that is called in the outbound flow.
      Overrides:
        `handleOutbound` in class `AbstractSOAPHandler`

    - #### getHeaderName

          public abstract String getHeaderName()

    - #### getHeaderValue

          public abstract Optional<String> getHeaderValue()

Connector Packaging TECHNICAL 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.